Skip to content
Ona Docs

CreateMembership

POST/gitpod.v1.GroupService/CreateMembership

Creates a membership for a user in a group.

Use this method to:

  • Add users to groups
  • Grant group-based permissions to users

Examples

  • Add a user to a group:

    Creates a membership for a user in a group.

    groupId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    subject:
      id: "f53d2330-3795-4c5d-a1f3-453121af9c60"
      principal: PRINCIPAL_USER

Authorization

Requires org:admin permission on the organization or group:admin permission on the specific group.

Body ParametersJSONExpand Collapse
groupId: optional string
formatuuid
subject: optional Subject { id, principal }

Subject to add to the group

id: optional string

id is the UUID of the subject

formatuuid
principal: optional Principal

Principal is the principal of the subject

One of the following:
"PRINCIPAL_UNSPECIFIED"
"PRINCIPAL_ACCOUNT"
"PRINCIPAL_USER"
"PRINCIPAL_RUNNER"
"PRINCIPAL_ENVIRONMENT"
"PRINCIPAL_SERVICE_ACCOUNT"
"PRINCIPAL_RUNNER_MANAGER"
ReturnsExpand Collapse
member: optional GroupMembership { id, avatarUrl, groupId, 2 more }

GroupMembership represents a subject’s membership in a group

id: optional string

Unique identifier for the group membership

formatuuid
avatarUrl: optional string

Subject’s avatar URL

groupId: optional string

Group identifier

formatuuid
name: optional string

Subject’s display name

subject: optional Subject { id, principal }

Subject (user, runner, environment, service account, etc.)

id: optional string

id is the UUID of the subject

formatuuid
principal: optional Principal

Principal is the principal of the subject

One of the following:
"PRINCIPAL_UNSPECIFIED"
"PRINCIPAL_ACCOUNT"
"PRINCIPAL_USER"
"PRINCIPAL_RUNNER"
"PRINCIPAL_ENVIRONMENT"
"PRINCIPAL_SERVICE_ACCOUNT"
"PRINCIPAL_RUNNER_MANAGER"

CreateMembership

curl https://app.gitpod.io/api/gitpod.v1.GroupService/CreateMembership \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "member": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "avatarUrl": "avatarUrl",
    "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "name",
    "subject": {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "principal": "PRINCIPAL_UNSPECIFIED"
    }
  }
}
Returns Examples
{
  "member": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "avatarUrl": "avatarUrl",
    "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "name",
    "subject": {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "principal": "PRINCIPAL_UNSPECIFIED"
    }
  }
}